﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Selectron_C_Bus_Calculator.ViewModel;
using Selectron_C_Bus_Calculator.Model;

namespace Selectron_C_Bus_Calculator.View
{
    /// <summary>
    /// Interaktionslogik für PowerCalculatorView.xaml
    /// </summary>
    public partial class PowerCalculatorView : Window
    {
        private PowerCalculatorViewModel viewModel;
        Startup start = new Startup();
        public PowerCalculatorView()
        {
            InitializeComponent();
            viewModel = new PowerCalculatorViewModel();
            this.DataContext = viewModel;

            start.startup();

            for (int i = 0; i < start.node_key.Count; i++)
            {
                Node.Items.Add(start.node_key[i]);
            }
        }

        private void listBox_MouseDown(object sender, MouseButtonEventArgs e)
        {
            viewModel.Click();
        }
    }
}
