﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Selectron_C_Bus_Calculator.Model
{
    public class Extensions
    {
        private string name;
        private int artnr;
        private int powerextbus_mw;
        private int maxmoduleonnode;

        public string Name
        {
            get
            {
                return name;
            }
        }

        public int Artnr
        {
            get
            {
                return artnr;
            }
        }

        public int Powerextbus_mw
        {
            get
            {
                return powerextbus_mw;
            }
        }

        public int Maxmoduleonnode
        {
            get
            {
                return maxmoduleonnode;
            }
        }

        public Extensions(string name, int artnr, int powerextbus, int maxmodulesnode)
        {
            this.name = name;
            this.artnr = artnr;
            this.powerextbus_mw = powerextbus;
            this.maxmoduleonnode = maxmodulesnode;
        }

        public static List<string> SearchOverLimiteModules(Dictionary<string, Extensions> modules, int remainingpower)
        {
            List<string> overlimitmodules = new List<string>();
            List<Extensions> extensions = modules.Values.ToList();
            int i = 0;

            foreach (Extensions extension in extensions)
            {
                if (extensions[i].Powerextbus_mw > remainingpower)
                {
                    overlimitmodules.Add(modules.Keys.ElementAt(i));
                }

                i++;
            }
            return overlimitmodules;
        }
    }
}
